%define major 16
%define libname	%mklibname png %{major} %{major}
%define develname %mklibname png -d

Summary:	A library of functions for manipulating PNG image format files
Name:		libpng
Version:	1.6.25
Release:	%mkrel 1
Epoch:		2
License:	zlib
Group:		System/Libraries
URL:		http://www.libpng.org/pub/png/libpng.html
Source:		http://downloads.sourceforge.net/libpng/%{name}-%{version}.tar.xz
Patch0:		http://downloads.sourceforge.net/libpng-apng/libpng-%{version}-apng.patch.gz
Patch1:		libpng-1.6.2-pkgconfig-libdir.patch
BuildRequires: 	zlib-devel
BuildRequires:	cmake

%description
The libpng package contains a library of functions for creating and
manipulating PNG (Portable Network Graphics) image format files.  PNG is
a bit-mapped graphics format similar to the GIF format.  PNG was created to
replace the GIF format, since GIF uses a patented data compression
algorithm.

Libpng should be installed if you need to manipulate PNG format image
files.

%package -n	%{libname}
Summary:	A library of functions for manipulating PNG image format files
Group:		System/Libraries
Provides:	%{name} = %{epoch}:%{version}-%{release}

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with libpng.

%package -n	%{develname}
Summary:	Development tools for programs to manipulate PNG image format files
Group:		Development/C
Requires:	%{libname} = %{epoch}:%{version}
Requires:	zlib-devel
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	png-devel = %{epoch}:%{version}-%{release}
Obsoletes:	%{mklibname png 3 -d} < 1.2.30

%description -n	%{develname}
The libpng-devel package contains the header files and libraries
necessary for developing programs using the PNG (Portable Network
Graphics) library.

If you want to develop programs which will manipulate PNG image format
files, you should install libpng-devel.  You'll also need to install the
libpng package.

%prep
%setup -q
%patch0 -p1 -b .apng
%patch1 -p0 -b .libdir

%build
export CFLAGS="%{optflags} -O3 -funroll-loops -DPIC -fPIC"
%cmake -DPNG_SHARED:BOOL=ON -DPNG_STATIC:BOOL=OFF -DPNG_NO_STDIO=no -DPNG_NO_CONSOLE_IO=no
%make

%install
%makeinstall_std -C build

# multiarch
%multiarch_binaries %{buildroot}%{_bindir}/libpng%{major}-config

# should be multiarch if kept
rm -f  %{buildroot}%{_prefix}/lib/%{name}/*.cmake

%files -n %{libname}
%{_libdir}/libpng%{major}.so.%{major}
%{_libdir}/libpng%{major}.so.%{major}.*

%files -n %{develname}
%doc libpng*.txt example.c README TODO CHANGES
%{_bindir}/libpng-config
%{_bindir}/libpng%{major}-config
%{_bindir}/png-fix-itxt
%{_bindir}/pngfix
%{multiarch_bindir}/libpng%{major}-config
%{_includedir}/*
%{_libdir}/libpng.so
%{_libdir}/libpng%{major}.so
%{_libdir}/pkgconfig/*
%{_mandir}/man?/*


%changelog
* Fri Sep 23 2016 luigiwalser <luigiwalser> 2:1.6.25-1.mga5
+ Revision: 1055589
- 1.6.25
- 1.6.24
- 1.6.22
- 1.6.21
- 1.6.20 (fixes CVE-2015-8472)
- 1.6.19 (fixes CVE-2015-8126)

* Wed Apr 15 2015 luigiwalser <luigiwalser> 2:1.6.17-1.mga5
+ Revision: 820289
- 1.6.17

* Wed Dec 24 2014 luigiwalser <luigiwalser> 2:1.6.16-1.mga5
+ Revision: 805301
- 1.6.16

* Tue Dec 02 2014 luigiwalser <luigiwalser> 2:1.6.15-1.mga5
+ Revision: 800328
- 1.6.15

* Fri Oct 31 2014 luigiwalser <luigiwalser> 2:1.6.14-1.mga5
+ Revision: 794849
- 1.6.14

* Wed Oct 15 2014 luigiwalser <luigiwalser> 2:1.6.13-2.mga5
+ Revision: 755538
- remove obsoletes on libpng16-devel

* Wed Oct 15 2014 tv <tv> 2:1.6.13-1.mga5
+ Revision: 751285
- new version
- do apply apng patch

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild

* Tue Oct 07 2014 doktor5000 <doktor5000> 2:1.6.12-4.mga5
+ Revision: 737342
-remove unneccessary Obsoletes for lib subpackage
- tighten Obsoletes on libpng16-devel subpackage
- add Obsoletes tag for new libpng16 package in mga3 updates

* Tue Sep 16 2014 umeabot <umeabot> 2:1.6.12-2.mga5
+ Revision: 681713
- Mageia 5 Mass Rebuild

* Wed Jul 23 2014 fwang <fwang> 2:1.6.12-1.mga5
+ Revision: 655849
- 1.6.12

* Thu Jun 12 2014 fwang <fwang> 2:1.6.11-1.mga5
+ Revision: 635736
- 1.6.11

* Sat Mar 15 2014 luigiwalser <luigiwalser> 2:1.6.10-1.mga5
+ Revision: 603936
- 1.6.10
- remove upstreamed security patch

* Wed Mar 12 2014 luigiwalser <luigiwalser> 2:1.6.9-2.mga5
+ Revision: 602634
- add upstream patch to fix CVE-2014-0333

* Thu Feb 13 2014 fwang <fwang> 2:1.6.9-1.mga5
+ Revision: 590095
- 1.6.9

* Mon Dec 23 2013 oden <oden> 2:1.6.8-1.mga4
+ Revision: 560105
- 1.6.8 (fixes CVE-2013-6954)

* Wed Dec 11 2013 luigiwalser <luigiwalser> 2:1.6.7-1.mga4
+ Revision: 556384
- 1.6.7

* Mon Oct 21 2013 umeabot <umeabot> 2:1.6.6-3.mga4
+ Revision: 538110
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 fwang <fwang> 2:1.6.6-2.mga4
+ Revision: 488460
- update apng patch

* Sat Sep 28 2013 luigiwalser <luigiwalser> 2:1.6.6-1.mga4
+ Revision: 488435
- 1.6.6

* Sun Sep 15 2013 fwang <fwang> 2:1.6.5-1.mga4
+ Revision: 479239
- new version 1.6.5

* Mon Jul 22 2013 fwang <fwang> 2:1.6.3-1.mga4
+ Revision: 457148
- new version 1.6.3

* Sun Jun 02 2013 fwang <fwang> 2:1.6.2-1.mga4
+ Revision: 434589
- new version 1.6.2

* Wed May 29 2013 fwang <fwang> 2:1.5.16-1.mga4
+ Revision: 430355
- new version 1.5.16

* Sat Jan 12 2013 umeabot <umeabot> 2:1.5.13-2.mga3
+ Revision: 357980
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 28 2012 fwang <fwang> 2:1.5.13-1.mga3
+ Revision: 298998
- new version 1.5.13

* Mon Jul 30 2012 cjw <cjw> 2:1.5.12-2.mga3
+ Revision: 275856
- drop cmake files for now since they are not multiarch aware

* Thu Jul 12 2012 fwang <fwang> 2:1.5.12-1.mga3
+ Revision: 270243
- new version 1.5.12
- there is no .la files anymore

* Sat Jun 16 2012 fwang <fwang> 2:1.5.11-1.mga3
+ Revision: 260924
- new version 1.5.11

* Fri Mar 30 2012 fwang <fwang> 2:1.5.10-1.mga2
+ Revision: 227594
- new version 1.5.10

* Sun Feb 19 2012 luigiwalser <luigiwalser> 2:1.5.9-1.mga2
+ Revision: 210678
- 1.5.9 (fix CVE-2011-3026)

  + fwang <fwang>
    - there is no package requiring static package and source package to build
    - new version 1.5.8

* Sat Dec 17 2011 fwang <fwang> 2:1.5.7-1.mga2
+ Revision: 183039
- new version 1.5.7

* Thu Nov 03 2011 fwang <fwang> 2:1.5.6-1.mga2
+ Revision: 162144
- new version 1.5.6

* Sat Oct 08 2011 fwang <fwang> 2:1.5.5-2.mga2
+ Revision: 152917
- fix libdir in .pc file

* Sat Sep 24 2011 fwang <fwang> 2:1.5.5-1.mga2
+ Revision: 147170
- new version 1.5.5

* Sat Sep 10 2011 fwang <fwang> 2:1.5.4-1.mga2
+ Revision: 142074
- update file list
- switched to 1.5 flavour (breakage follows)

* Sat Sep 10 2011 fwang <fwang> 2:1.2.46-3.mga2
+ Revision: 142028
- tighten version req for upcoming libpng15 switch

* Sat Sep 03 2011 fwang <fwang> 2:1.2.46-2.mga2
+ Revision: 138141
- correct libname

* Sat Jul 16 2011 fwang <fwang> 2:1.2.46-1.mga2
+ Revision: 124741
- new version 1.2.46

* Sat Jan 08 2011 blino <blino> 2:1.2.44-3.mga1
+ Revision: 892
- remove old ldconfig scriptlets
- imported package libpng


* Sat Aug 14 2010 Oden Eriksson <oeriksson@mandriva.com> 2:1.2.44-2mdv2011.0
+ Revision: 569562
- sync with MDVSA-2010:133

* Fri Jul 09 2010 Funda Wang <fwang@mandriva.org> 2:1.2.44-1mdv2011.0
+ Revision: 549888
- New version 1.2.44

  + Oden Eriksson <oeriksson@mandriva.com>
    - remove the changelog (how did that happen?)

* Thu Feb 25 2010 Oden Eriksson <oeriksson@mandriva.com> 2:1.2.43-1mdv2010.1
+ Revision: 511259
- use a newer apng patch from upstream
- 1.2.43

* Wed Feb 24 2010 Oden Eriksson <oeriksson@mandriva.com> 2:1.2.42-1mdv2010.1
+ Revision: 510653
- 1.2.42
- rediffed the apng patch

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - make uclibc file in %%files conditional (thx to Matthew Dawkins for noticing!)

* Sat Dec 05 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 2:1.2.41-2mdv2010.1
+ Revision: 473715
- build with -fPIC

* Sat Dec 05 2009 Funda Wang <fwang@mandriva.org> 2:1.2.41-1mdv2010.1
+ Revision: 473664
- new version 1.2.41

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - compile with '-O3 -funroll-loops' (as suggested by upstream)
    - don't pass -DPNG_NO_MMX_CODE, it's already handled automatically by configure
    - build static uclibc linked library

* Sun Sep 13 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2:1.2.40-1mdv2010.0
+ Revision: 439029
- update to new version 1.2.40

* Sun Aug 30 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2:1.2.39-1mdv2010.0
+ Revision: 422506
- update to new version 1.2.39
- update patch0

* Sat Jun 06 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2:1.2.37-1mdv2010.0
+ Revision: 383290
- update to new version 1.2.37
- Patch0: new version of apng patch

* Fri May 08 2009 Funda Wang <fwang@mandriva.org> 2:1.2.36-2mdv2010.0
+ Revision: 373374
- raise rel
- New version 1.2.36
- rediff p1

* Thu Feb 19 2009 Oden Eriksson <oeriksson@mandriva.com> 2:1.2.35-1mdv2009.1
+ Revision: 342891
- 1.2.35

* Thu Dec 18 2008 Oden Eriksson <oeriksson@mandriva.com> 2:1.2.34-1mdv2009.1
+ Revision: 315702
- 1.2.34
- new P0

* Thu Dec 18 2008 Oden Eriksson <oeriksson@mandriva.com> 2:1.2.33-3mdv2009.1
+ Revision: 315590
- rebuild

* Wed Nov 05 2008 Oden Eriksson <oeriksson@mandriva.com> 2:1.2.33-2mdv2009.1
+ Revision: 300156
- added P1 to fix build problem with mysql-gui-tools-5.0r14

* Fri Oct 31 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2:1.2.33-1mdv2009.1
+ Revision: 299045
- update to new version 1.2.33

* Sun Sep 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2:1.2.32-1mdv2009.1
+ Revision: 286394
- update to noew version 1.2.32
- drop patch 1 as it is fixed upstream
- Patch0: new version

* Tue Sep 09 2008 Frederik Himpe <fhimpe@mandriva.org> 2:1.2.31-2mdv2009.0
+ Revision: 283256
- Add 1.2.31beta01 patch fixing buffer overflow CVE-2008-3964

* Sat Aug 23 2008 Funda Wang <fwang@mandriva.org> 2:1.2.31-1mdv2009.0
+ Revision: 275373
- update apng patch with archlinux

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 1.2.31
    - update to new version 1.2.30
    - use lzma'd tarball from upstream

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 2:1.2.29-2mdv2009.0
+ Revision: 264888
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu May 08 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2:1.2.29-1mdv2009.0
+ Revision: 204605
- new version

* Fri May 02 2008 Frederik Himpe <fhimpe@mandriva.org> 2:1.2.28-1mdv2009.0
+ Revision: 200472
- New upstream version (fixes security issues)
- Run ./autogen.sh, like Debian is doing, otherwise it does not build
- Update apng patch to version which applies without problem, from
  SourceMage

* Tue Apr 15 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2:1.2.25-3mdv2009.0
+ Revision: 193502
- update APNG patch

* Thu Feb 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2:1.2.25-2mdv2008.1
+ Revision: 176548
- add support for APNG images, this is a mandatory for upcoming Firefox 3

* Tue Feb 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2:1.2.25-1mdv2008.1
+ Revision: 172842
- new version
- remove docs from static library

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2:1.2.24-1mdv2008.1
+ Revision: 137841
- new version
- new license policy

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Nov 09 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2:1.2.23-1mdv2008.1
+ Revision: 107203
- new version
- be more consistant on macros naming
- fix mixture of tabs and spaces
- some mino cleans in a spec file

* Sun Oct 14 2007 Funda Wang <fwang@mandriva.org> 2:1.2.22-1mdv2008.1
+ Revision: 98137
- New version 1.2.22

* Thu Oct 11 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2:1.2.22-0.rc1.1mdv2008.1
+ Revision: 97198
- update to 1.2.22rc1 to close bug #34647

* Wed Oct 10 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2:1.2.21-1mdv2008.1
+ Revision: 96614
- drop patch 0 and 1 since there is a configure script in use, which take care of everything
- remove dead entries in spec file
- let's see how libpng will work with mmx support on ix86
- new version
- new version

* Sat Aug 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2:1.2.19-2mdv2008.0
+ Revision: 71324
- remove wrong obsoletes

* Sat Aug 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2:1.2.19-1mdv2008.0
+ Revision: 71212
- export -DPNG_NO_MMX_CODE for x86_64 arch
- correct requires and provides
- rediff patch 0
- new devel library policy
- drop patch 2 (there is better way)
- new version

* Mon Aug 06 2007 David Walluck <walluck@mandriva.org> 2:1.2.18-3mdv2008.0
+ Revision: 59535
- move %%{_mandir}/man5/* to devel package in order to avoid multiarch conflict

* Mon Jul 02 2007 Olivier Blin <oblin@mandriva.com> 2:1.2.18-2mdv2008.0
+ Revision: 47129
- add a libpng-source package (to be used for software rebuilding libpng, such as syslinux)
- remove obsolete conflicts

* Wed May 16 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2:1.2.18-1mdv2008.0
+ Revision: 27297
- Updated to 1.2.18.

* Fri Apr 20 2007 Olivier Blin <oblin@mandriva.com> 2:1.2.16-1mdv
+ Revision: 16258
- 1.2.16


* Sun Feb 18 2007 Götz Waschk <waschk@mandriva.org> 1.2.13-2mdv2007.0
+ Revision: 122407
- fix buildrequires

* Fri Nov 17 2006 Olivier Blin <oblin@mandriva.com> 2:1.2.13-1mdv2007.1
+ Revision: 85128
- 1.2.13

* Tue Oct 31 2006 Oden Eriksson <oeriksson@mandriva.com> 2:1.2.12-5mdv2007.1
+ Revision: 74600
- rebuild
- bzip2 cleanup
- rebuild

* Thu Oct 12 2006 Oden Eriksson <oeriksson@mandriva.com> 2:1.2.12-3mdv2007.1
+ Revision: 63449
- bunzip patches
- Import libpng

* Thu Aug 03 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.2.12-2mdv2007.0
- Drop broken x86_64 patches (including from #23692). Time to be spent
  for making the MMX code 64-bit safe is the same as writing correct
  SSE2+ code. And, without proper data for validating semantics and
  performance, this currently is not worth the effort for MDV2007.0
- Henceforth, make sure to enable MMX optimisations on 32-bit x86
  platforms only (Patch2)

* Sun Jul 02 2006 Giuseppe Ghib <ghibo@mandriva.com> 1.2.12-1mdv2007.0
- Release 1.2.12.
- Added Patch2 from Alex Simon to allow Assembler support in pnggccrd.c
  (needs Gwenole review), to allow ImageMagick 6.2.8.1 building on X86-64.

* Sun Jun 18 2006 Warly <warly@mandriva.com>  1.2.10-4mdv2007.0
- This seem to be a desired behavior, need to recompile the packages requiring the old devel(libpng)

* Sun Jun 18 2006 Warly <warly@mandriva.com>  1.2.10-3mdv2007.0
- also workarround the problem for x86_64

* Sat Jun 17 2006 Warly <warly@mandriva.com>  1.2.10-2mdv2007.0
- workarround the non providing of devel(libpng)

* Fri Jun 16 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.2.10-1mdv2007.0
- 1.2.10
- do configure
- %%mkrel
- regenerate P0 & P1
- move tests to new %%check stage
- multiarch

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.2.8-2mdk
- Rebuild

* Wed Dec 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.2.8-1mdk
- 1.2.8
- fix summary-ended-with-dot

* Tue Nov 09 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.2.7-1mdk
- new release

* Fri Oct 01 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.6-2mdk
- lib64 fixes to pkgconfig files

* Wed Aug 18 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.6-1mdk
- new release
- fix url
- kill patch 1 (merged upstream)

* Fri Jun 18 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.2.5-11mdk
- security fix for CAN-2004-0421 (Vincent Danen)
- misc spec file fixes

